package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.DxNews;

/**
 * 新闻管理Mapper接口
 * 
 * @author D
 * @date 2025-03-24
 */
public interface DxNewsMapper 
{
    /**
     * 查询新闻管理
     * 
     * @param id 新闻管理主键
     * @return 新闻管理
     */
    public DxNews selectDxNewsById(Integer id);

    /**
     * 查询新闻管理列表
     * 
     * @param dxNews 新闻管理
     * @return 新闻管理集合
     */
    public List<DxNews> selectDxNewsList(DxNews dxNews);

    /**
     * 新增新闻管理
     * 
     * @param dxNews 新闻管理
     * @return 结果
     */
    public int insertDxNews(DxNews dxNews);

    /**
     * 修改新闻管理
     * 
     * @param dxNews 新闻管理
     * @return 结果
     */
    public int updateDxNews(DxNews dxNews);

    /**
     * 删除新闻管理
     * 
     * @param id 新闻管理主键
     * @return 结果
     */
    public int deleteDxNewsById(Integer id);

    /**
     * 批量删除新闻管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDxNewsByIds(Integer[] ids);
}
