package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.DxRecycleType;

/**
 * 回收分类管理Service接口
 * 
 * @author D
 * @date 2025-03-24
 */
public interface IDxRecycleTypeService 
{
    /**
     * 查询回收分类管理
     * 
     * @param id 回收分类管理主键
     * @return 回收分类管理
     */
    public DxRecycleType selectDxRecycleTypeById(Integer id);

    /**
     * 查询回收分类管理列表
     * 
     * @param dxRecycleType 回收分类管理
     * @return 回收分类管理集合
     */
    public List<DxRecycleType> selectDxRecycleTypeList(DxRecycleType dxRecycleType);

    /**
     * 新增回收分类管理
     * 
     * @param dxRecycleType 回收分类管理
     * @return 结果
     */
    public int insertDxRecycleType(DxRecycleType dxRecycleType);

    /**
     * 修改回收分类管理
     * 
     * @param dxRecycleType 回收分类管理
     * @return 结果
     */
    public int updateDxRecycleType(DxRecycleType dxRecycleType);

    /**
     * 批量删除回收分类管理
     * 
     * @param ids 需要删除的回收分类管理主键集合
     * @return 结果
     */
    public int deleteDxRecycleTypeByIds(Integer[] ids);

    /**
     * 删除回收分类管理信息
     * 
     * @param id 回收分类管理主键
     * @return 结果
     */
    public int deleteDxRecycleTypeById(Integer id);
}
