package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DxNewsMapper;
import com.ruoyi.system.domain.DxNews;
import com.ruoyi.system.service.IDxNewsService;

/**
 * 新闻管理Service业务层处理
 * 
 * @author D
 * @date 2025-03-24
 */
@Service
public class DxNewsServiceImpl implements IDxNewsService 
{
    @Autowired
    private DxNewsMapper dxNewsMapper;

    /**
     * 查询新闻管理
     * 
     * @param id 新闻管理主键
     * @return 新闻管理
     */
    @Override
    public DxNews selectDxNewsById(Integer id)
    {
        return dxNewsMapper.selectDxNewsById(id);
    }

    /**
     * 查询新闻管理列表
     * 
     * @param dxNews 新闻管理
     * @return 新闻管理
     */
    @Override
    public List<DxNews> selectDxNewsList(DxNews dxNews)
    {
        List<DxNews> list=dxNewsMapper.selectDxNewsList(dxNews);

        for (DxNews news : list) {
            news.setImage("https://diannaohuishou.net"+news.getImage());
        }
        return list;
    }

    /**
     * 新增新闻管理
     * 
     * @param dxNews 新闻管理
     * @return 结果
     */
    @Override
    public int insertDxNews(DxNews dxNews)
    {
        dxNews.setCreateTime(DateUtils.getNowDate());
        return dxNewsMapper.insertDxNews(dxNews);
    }

    /**
     * 修改新闻管理
     * 
     * @param dxNews 新闻管理
     * @return 结果
     */
    @Override
    public int updateDxNews(DxNews dxNews)
    {
        return dxNewsMapper.updateDxNews(dxNews);
    }

    /**
     * 批量删除新闻管理
     * 
     * @param ids 需要删除的新闻管理主键
     * @return 结果
     */
    @Override
    public int deleteDxNewsByIds(Integer[] ids)
    {
        return dxNewsMapper.deleteDxNewsByIds(ids);
    }

    /**
     * 删除新闻管理信息
     * 
     * @param id 新闻管理主键
     * @return 结果
     */
    @Override
    public int deleteDxNewsById(Integer id)
    {
        return dxNewsMapper.deleteDxNewsById(id);
    }
}
