package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DxRecycleTypeMapper;
import com.ruoyi.system.domain.DxRecycleType;
import com.ruoyi.system.service.IDxRecycleTypeService;

/**
 * 回收分类管理Service业务层处理
 * 
 * @author D
 * @date 2025-03-24
 */
@Service
public class DxRecycleTypeServiceImpl implements IDxRecycleTypeService 
{
    @Autowired
    private DxRecycleTypeMapper dxRecycleTypeMapper;

    /**
     * 查询回收分类管理
     * 
     * @param id 回收分类管理主键
     * @return 回收分类管理
     */
    @Override
    public DxRecycleType selectDxRecycleTypeById(Integer id)
    {
        return dxRecycleTypeMapper.selectDxRecycleTypeById(id);
    }

    /**
     * 查询回收分类管理列表
     * 
     * @param dxRecycleType 回收分类管理
     * @return 回收分类管理
     */
    @Override
    public List<DxRecycleType> selectDxRecycleTypeList(DxRecycleType dxRecycleType)
    {
        return dxRecycleTypeMapper.selectDxRecycleTypeList(dxRecycleType);
    }

    /**
     * 新增回收分类管理
     * 
     * @param dxRecycleType 回收分类管理
     * @return 结果
     */
    @Override
    public int insertDxRecycleType(DxRecycleType dxRecycleType)
    {
        return dxRecycleTypeMapper.insertDxRecycleType(dxRecycleType);
    }

    /**
     * 修改回收分类管理
     * 
     * @param dxRecycleType 回收分类管理
     * @return 结果
     */
    @Override
    public int updateDxRecycleType(DxRecycleType dxRecycleType)
    {
        return dxRecycleTypeMapper.updateDxRecycleType(dxRecycleType);
    }

    /**
     * 批量删除回收分类管理
     * 
     * @param ids 需要删除的回收分类管理主键
     * @return 结果
     */
    @Override
    public int deleteDxRecycleTypeByIds(Integer[] ids)
    {
        return dxRecycleTypeMapper.deleteDxRecycleTypeByIds(ids);
    }

    /**
     * 删除回收分类管理信息
     * 
     * @param id 回收分类管理主键
     * @return 结果
     */
    @Override
    public int deleteDxRecycleTypeById(Integer id)
    {
        return dxRecycleTypeMapper.deleteDxRecycleTypeById(id);
    }
}
